import QtQuick 2.5
import QtQuick.Controls 1.5
import QtQuick.Controls.Styles 1.4

Item {
    width: 350
    height: 200

    Rectangle {
        id: rectangle
        anchors.fill:  parent
        color: "#282828"
        height: parent.height * 0.5
        anchors.right: parent.right
        anchors.rightMargin: 0
        anchors.left: parent.left
        anchors.leftMargin: 0

        Rectangle {
            id: textBlock
            color: "#000000"
            anchors.left: parent.left
            anchors.leftMargin: 8
            height: 100
            anchors.right: parent.right
            anchors.rightMargin: 8
            anchors.top: parent.top
            anchors.topMargin: 8
            border.color: "chocolate"
            border.width: 1

            Text {
                id: textOutput
                color: "#ffd700"
                anchors.fill: parent
                text: qsTr("----")
                textFormat: Text.RichText
                font.family: "Times New Roman"
                anchors.rightMargin: 8
                anchors.leftMargin: 8
                anchors.bottomMargin: 8
                anchors.topMargin: 8
                wrapMode: Text.WordWrap
                verticalAlignment: Text.AlignVCenter
                horizontalAlignment: Text.AlignHCenter
                font.pixelSize: 15
            }
        }

        Rectangle {
            id: buttons
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 8
            height: 70
            color: "#00ffffff"
            anchors.right: parent.right
            anchors.rightMargin: 0
            anchors.left: parent.left
            anchors.leftMargin: 0

            QuoteButton {
                id: quoteButton
                text: "Nelson Mandela"
                anchors.top: parent.top
                anchors.topMargin: 0
                anchors.left: parent.left
                anchors.leftMargin: 8
            }

            QuoteButton {
                id: quoteButton1
                text: "Walt Disney"
                anchors.top: parent.top
                anchors.topMargin: 0
                anchors.horizontalCenter: parent.horizontalCenter
            }

            QuoteButton {
                id: quoteButton2
                text: "Steve Jobs"
                anchors.top: parent.top
                anchors.topMargin: 0
                anchors.right: parent.right
                anchors.rightMargin: 8
            }

            QuoteButton {
                id: quoteButton3
                text: "Eleanor Roosevelt"
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 0
                anchors.left: parent.left
                anchors.leftMargin: 8
            }

            QuoteButton {
                id: quoteButton4
                text: "Oprah Winfrey"
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 0
                anchors.horizontalCenter: parent.horizontalCenter
            }

            QuoteButton {
                id: quoteButton5
                text: "James Cameron"
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 0
                anchors.right: parent.right
                anchors.rightMargin: 8
            }
        }
    }

    function famousQuote(famousPerson){
        textOutput.text = '"'+{
            "Nelson Mandela":"The greatest glory in living lies not in never falling, but in rising every time we fall.",
            "Walt Disney":"The way to get started is to quit talking and begin doing.",
            "Steve Jobs":"Your time is limited, so don't waste it living someone else's life. Don't be trapped by dogma – which is living with the results of other people's thinking.",
            "Eleanor Roosevelt":"If life were predictable it would cease to be life, and be without flavor.",
            "Oprah Winfrey":"If you look at what you have in life, you'll always have more. If you look at what you don't have in life, you'll never have enough.",
            "James Cameron":"If you set your goals ridiculously high and it's a failure, you will fail above everyone else's success"
        }[famousPerson] + '" <i>-' + famousPerson+'</i>'
    }

}





/*##^##
Designer {
    D{i:4;anchors_width:350;anchors_x:0}D{i:1;anchors_x:0;anchors_y:0}
}
##^##*/
